# CoreStoreObjectiveCType Protocol Reference

# CoreStoreObjectiveCType

    public protocol CoreStoreObjectiveCType : AnyObject

`CoreStoreObjectiveCType`s are Objective-C accessible classes that represent CoreStore’s Swift types.

- `SwiftType`

  The corresponding Swift type

  #### Declaration

  Swift

      associatedtype SwiftType

- `bridgeToSwift`

  The bridged Swift instance

  #### Declaration

  Swift

      var bridgeToSwift: SwiftType { get }

- `init(_:)`

  Initializes this instance with the Swift instance to bridge from

  #### Declaration

  Swift

      init(_ swiftValue: SwiftType)